Bug 132774 - LCD screen flickers badly (at about .5 seconds)
LCD screen flickers badly (at about .5 seconds)
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: xorg-x11 (Show other bugs)
2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-09-16 16:48 EDT by Homayoun Shahri
Modified: 2015-04-22 14:47 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-03-06 18:51:44 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Homayoun Shahri 2004-09-16 16:48:07 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.2)
Gecko/20040803

Description of problem:
LCD screen flickers badly in graphics mode and all resolutions when
running xorg X. This problem is only observed when using a SIS M650. I
have not seen it on other graphics chips. The problem is first seen
during installtion and persists after installation.
In particular, fc2 was installed on dell inspiron 1000, which has a
sis m650 chip, and manifests the above problem. But redhat 9, or EL-WS
run OK, which may indicate that the problem is with xorg, as the other
products use xfree86.
When first the graphic mode is entered everything is OK, but after
about a second or so flicker starts at a rate of about .5 seconds.
Sometimes the vertical sync is lost completely and the screen becomes
totally corrupted 

Version-Release number of selected component (if applicable):
xorg 6.7

How reproducible:
Always

Steps to Reproduce:
1. Install in graphic mode
2. Run X
3. 
    

Actual Results:  screen flickers, and if the mouse pointer is moved
during the switch to graphic mode, sometimes the vetical sync is lost
and screen moves vertially.

Additional info:

As I indicated this problem does not show up in xfree86, using
seemingly the same sis driver for (sis m650) chip running under RH9 or
EL-WS.
Also note that this is new laptop from dell, so I am not sure if
anyone else has oberved this yet.
Comment 1 Homayoun Shahri 2004-09-17 17:54:01 EDT
I should also add that when screen flickers as described above, mouse
does not respond properly either. Its response is slow and somewhat
jerky, and not smooth.
Comment 2 Mike A. Harris 2005-03-06 18:51:44 EST
Since this bugzilla report was filed, there have been several major
updates to the X Window System, which may resolve this issue.  Users
who have experienced this problem are encouraged to upgrade to the
latest version of Fedora Core, which can be obtained from:

        http://fedora.redhat.com/download

If this issue turns out to still be reproduceable in the latest
version of Fedora Core, please file a bug report in the X.Org
bugzilla located at http://bugs.freedesktop.org in the "xorg"
component.

Once you've filed your bug report to X.Org, if you paste the new
bug URL here, Red Hat will continue to track the issue in the
centralized X.Org bug tracker, and will review any bug fixes that
become available for consideration in future updates.

Setting status to "CURRENTRELEASE".

Note You need to log in before you can comment on or make changes to this bug.